#!/usr/bin/python
# ********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2017. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
# ********************************************************************************
'''
Script to check if argument passed in has a space in it or not.

Usage::

    python detect_space.py
    python detect_space.py hello
    python detect_space.py "hello there"

First two cases will result in nothing happening, system exit with 0.  Last case
outputs an error message to console and system exit with 1.
'''
import sys


def main(argv):
    ''' Main function for script.

    :param: string to check for spaces

    Does not return a value, but exits with status=1 if there is a space detected in the argument.
    '''

    # If nothing passed in, fail gracefully
    # Rem first arg is always python script
    if len(argv) < 2:
        exit(0)

    string = argv[1]
    if ' ' in string:
        print "ERROR: The string '%s' contains a space. Delete any spaces and try again." % string
        exit(1)
    else:
        exit(0)


if __name__ == '__main__':
    main(sys.argv)
    exit(0)
